Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Ordnungsklasse

    java.lang.Object
      sum.strukturen.Ordnungsklasse

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SuchbaumInhalt

    public abstract class Ordnungsklasse

extends Object
implements Serializable

Die Ordnungsklasse ist eine Oberklasse für Objekte mit einer Ordnung.

Version:
  7.3 vom 11.10.2011
Author:
  Horst Hildebrecht
See Also:
  Serialized Form

Constructor Summary
`Ordnungsklasse()`

Method Summary
`abstract boolean` | `istGleich(Ordnungsklasse pObjekt)` Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse gleich dem Vergleichsobjekt pObjekt ist.
`boolean` | `istGroesser(Ordnungsklasse pObjekt)` Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse größ als das Vergleichsobjekt pObjekt ist.
`abstract boolean` | `istKleiner(Ordnungsklasse pObjekt)` Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse kleiner als das Vergleichsobjekt pObjekt ist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ordnungsklasse

    public Ordnungsklasse()

Method Detail

### istGleich

    public abstract boolean istGleich(Ordnungsklasse pObjekt)

  Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse gleich dem Vergleichsobjekt pObjekt ist.

### istGroesser

    public boolean istGroesser(Ordnungsklasse pObjekt)

  Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse größ als das Vergleichsobjekt pObjekt ist.

### istKleiner

    public abstract boolean istKleiner(Ordnungsklasse pObjekt)

  Ist genau dann wahr, wenn dieses Exemplar der Ordnungsklasse kleiner als das Vergleichsobjekt pObjekt ist.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD